Sboms

List SBOMs

GET
/workspaces/{workspaceId}/firmware-versions/{firmwareVersionId}/sboms

Authorization

API key SBOMs: read
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: SBOMs: read

Path Parameters

workspaceId*string
Formatuuid
firmwareVersionId*string

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/firmware-versions/r2Kt75mXc8Vd/sboms"

All SBOMs of the firmware version.

{  "sboms": [    {      "id": "z3Mp96lQd4Gt",      "fileName": "thermostat-application-2.4.1.spdx.json",      "format": "Spdx3JsonLd",      "parsingState": "Succeeded",      "componentCount": 142,      "createdAt": "2026-01-10T15:35:00+00:00",      "vulnerabilitiesParsedAt": "2026-01-10T15:38:00+00:00"    }  ]}